Bug 1265600 - WAS: ClassNotFoundException: org.uberfire.ext.widgets.common.client.tables.popup.DataGridFilterSummary
WAS: ClassNotFoundException: org.uberfire.ext.widgets.common.client.tables.po...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ER4
: 6.2.0
Assigned To: Neus Miras
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 06:30 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2015-09-23 06:30:52 EDT
Description of problem:
On Websphere only, we get multiple instances of "ClassNotFoundException: org.uberfire.ext.widgets.common.client.tables.popup.DataGridFilterSummary" logged into server log (while deploying the business-central). 
The effect is otherwise unknown.


AnnotatedElementFactory error Unable to create AnnotatedType for class : [org.jboss.errai.marshalling.server.impl.ServerMarshallingFactoryImpl$Marshaller_for_org_uberfire_ext_widgets_common_client_tables_popup_DataGridFilterSummaryImpl]. Exception cause : [java.lang.ClassNotFoundException: org.uberfire.ext.widgets.common.client.tables.popup.DataGridFilterSummary]
                                 java.lang.TypeNotPresentException: Type org.uberfire.ext.widgets.common.client.tables.popup.DataGridFilterSummary not present
...
Caused by: java.lang.ClassNotFoundException: org.uberfire.ext.widgets.common.client.tables.popup.DataGridFilterSummary
...


Version-Release number of selected component (if applicable):
6.2
Comment 3 Neus Miras 2015-10-01 06:27:51 EDT
This message is related with the use of the annotation @Portable in a client side class. It had been fixed at master but it didn't come at the release. This problem don't affects the behavior, the effect is show an ugly message on server.

Now I have created a PR fix it in the branch release 0.7.x.

Note You need to log in before you can comment on or make changes to this bug.